---
include: 'https://gitlab.cern.ch/linuxsupport/cronjobs/base/raw/master/gitlab-ci.yml'

prepare_dirs:
  stage: prepare
  script:
    - cp docker-common-files/* cern-anaconda-addon-canary-alma8/
    - cp docker-common-files/* cern-anaconda-addon-canary-alma9/
  artifacts:
    paths:
      - cern-anaconda-addon-canary-alma8/
      - cern-anaconda-addon-canary-alma9/
    expire_in: 1 day

build_cern-anaconda-addon-canary-alma8:
  extends: .build_image
  variables:
    CONTEXT_DIR: cern-anaconda-addon-canary-alma8
    DOCKER_FILE: cern-anaconda-addon-canary-alma8/Dockerfile
    TO: $CI_REGISTRY_IMAGE/cern-anaconda-addon-canary-alma8
    PARENT_PIPELINE_ID: ${CI_PIPELINE_ID}
    ARTIFACT_JOB: prepare_dirs

build_cern-anaconda-addon-canary-alma9:
  extends: .build_image
  variables:
    CONTEXT_DIR: cern-anaconda-addon-canary-alma9
    DOCKER_FILE: cern-anaconda-addon-canary-alma9/Dockerfile
    TO: $CI_REGISTRY_IMAGE/cern-anaconda-addon-canary-alma9
    PARENT_PIPELINE_ID: ${CI_PIPELINE_ID}
    ARTIFACT_JOB: prepare_dirs
